html {
    font-size: 1rem;
    font-family: sans-serif;
    line-height: 1.5;
    overflow: auto;
    color: #aaa;
    background-color: #0d283d;
    margin: 0;
    padding: 0;
}

body {
    background-color: #0d283d;
    max-width: 60rem;
    padding: 0;
    margin: 0 auto;
}
* {
    border-color: rgba(255,255,255,0.1);
}
::marker {
    color: #7FAE00;
}

a, a:visited, a:active {
    color: #0095dd;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

header {
    display: block;
    padding: 0px 4px;
}

tt, code, kbd, samp {
    font-family: Consolas, Monaco, 'Andale Mono', monospace;
    font-size: smaller;
}

.class-description {
    /* font-size: 130%;
    line-height: 140%; */
    margin-bottom: 1em;
    margin-top: 1em;
}

.class-description:empty {
    margin: 0;
}

#main {
    margin: 0 auto;
}

article dl {
    margin-bottom: 40px;
}

article img {
  max-width: 100%;
}

section
{
    display: block;
    padding: 12px 24px;
}

.variation {
    display: none;
}

.signature-attributes {
    font-size: 60%;
    color: #eee;
    font-style: italic;
    font-weight: lighter;
}

.framed {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1;
    display: grid;
    grid-template-columns: 25% 75%;
    background-color: #0d283d;
}

nav {
    width: 100%;
    display: block;
    box-sizing: border-box;
    background: #0c2437;
    overflow: auto;
}

nav ul {
    font-family: sans-serif;
    font-size: 100%;
    line-height: 17px;
    padding: 0;
    margin: 0;
    list-style-type: none;
}

nav ul a, nav ul a:visited, nav ul a:active {
    font-family: Consolas, Monaco, 'Andale Mono', monospace;
    line-height: 18px;
    color: #eee;
}

nav h3 {
    margin-top: 12px;
}

nav li {
    margin-top: 6px;
}
nav a {
    display: block;
    padding: 0.25rem 0.5rem;
}

iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

footer {
    display: block;
    padding: 6px;
    margin-top: 12px;
    font-style: italic;
    font-size: 90%;
    text-align: right;
    opacity: 0.5;
}

h1, h2, h3, h4 {
    color: #eee;
    font-weight: 400;
    margin: 0;
    opacity: 0.5;
}
h1, header > h2 {
    opacity: 1;
}

h1 {
    font-family: sans-serif;
    font-size: 2rem;
    letter-spacing: -2px;
    margin: 12px 24px 20px;
}

h2, h3.subsection-title {
    font-size: 1.5rem;
    font-weight: 700;
    letter-spacing: -1px;
    margin-bottom: 12px;
}

h3 {
    font-size: 1.25rem;
    letter-spacing: -0.5px;
    margin-bottom: 12px;
}

h4, summary {
    font-size: 1rem;
    letter-spacing: -0.33px;
    margin-bottom: 12px;
    color: #7FAE00;
}

h5, .container-overview .subsection-title {
    font-size: 1rem;
    font-weight: bold;
    letter-spacing: -0.01em;
    margin: 8px 0 3px 0;
    opacity: 0.5;
}
h5 + ul {
    margin-top: 0;
}

h6 {
    font-size: 0.8rem;
    letter-spacing: -0.01em;
    margin: 6px 0 3px 0;
    font-style: italic;
}

table
{
    border-spacing: 0;
    border: 0;
    border-collapse: collapse;
}

td, th
{
    border-width: 1px;
    border-style: solid;
    margin: 0px;
    text-align: left;
    vertical-align: top;
    padding: 4px 6px;
    display: table-cell;
}

thead tr
{
    background-color: rgba(0,0,0,0.1);
    font-weight: bold;
}

.ancestors, .attribs { color: #999; }
.ancestors a, .attribs a
{
    color: #999 !important;
    text-decoration: none;
}

.clear
{
    clear: both;
}

.important
{
    font-weight: bold;
    color: #950B02;
}

.yes-def {
    text-indent: -1000px;
}

.type-signature {
    color: #aaa;
}

.name, .signature {
    font-family: Consolas, Monaco, 'Andale Mono', monospace;
}

details {
    /* border-width: 0 0 1px;
    border-style: solid; */
    margin-bottom: 12px;
}
details > :not(summary) {
    margin-left: 1rem;
}
summary {
    cursor: pointer;
}
.details { margin-top: 14px; border-left: 2px solid #ccc; }
.details:empty {display: none;}
.details dt { width: 120px; float: left; padding-left: 10px;  padding-top: 6px; }
.details dd { margin-left: 70px; }
.details ul { margin: 0; }
.details ul { list-style-type: none; }
.details li { margin-left: 30px; padding-top: 6px; }
.details pre.prettyprint { margin: 0 }
.details .object-value { padding-top: 0; }

.description {
    margin-bottom: 1em;
    margin-top: 1em;
}

.code-caption
{
    font-style: italic;
    font-size: 107%;
    margin: 0;
}

.source
{
    border: 0;
    overflow: auto;
}

.prettyprint.source {
    width: inherit;
}

.source code
{
    white-space: pre-line;
    line-height: 18px;
    display: block;
    padding: 10px;
    margin: 0;
    color: #ccc;
    border-width: 1px;
    border-style: solid;
}

.prettyprint code span.line
{
  display: inline-block;
}

.prettyprint.linenums
{
  padding-left: 70px;
  user-select: none;
}

.prettyprint.linenums ol
{
  padding-left: 0;
}

.prettyprint.linenums li
{
  border-left: 3px #ccc solid;
}

.prettyprint.linenums li.selected,
.prettyprint.linenums li.selected *
{
  background-color: lightyellow;
}

.prettyprint.linenums li *
{
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}

.params {
    width: 100%;
    font-size: smaller;
}
.params .name, .props .name, .name code {
    color: #4D4E53;
    font-family: Consolas, Monaco, 'Andale Mono', monospace;
    font-size: 100%;
}

.params td.description > p:first-child,
.props td.description > p:first-child
{
    margin-top: 0;
    padding-top: 0;
}

.params td.description > p:last-child,
.props td.description > p:last-child
{
    margin-bottom: 0;
    padding-bottom: 0;
}
.param-desc > * {
    margin: 0 0 5px;
}

.disabled {
    color: #454545;
}

.param-line,
.returns-line {
    margin-bottom: 5px;
}
.param-line:last-child,
.returns-line:last-child {
    margin-bottom: 1rem;
}
.param-line > *,
.returns-line > * {
    display: inline-block;
    margin: 0;
}
.param-line > strong,
.returns-line > strong {
    color: #fff
}